(* Storing process variables values *)
type 'v t

val init: unit -> 'v t

(** [set env process_id var_name var_value] *)
val set: 'v t -> string -> 'v -> 'v t

(** [get env process_id var_name] *)
val get: 'v t -> string -> 'v

(** Use registered copy function to returns an (hopefully) fresh copy *)
val get_copy: 'v t -> string -> 'v
