(* Time-stamp: <modified the 25/09/2019 (at 13:55) by Erwan Jahier> *)

(* cf Collin-Dolex-94 *)

open Algo
open State
    
let actions = Some ["a"]

let (init_state: int -> 'v) =
  fun i ->
    {
      path = [-1];
      par  = -10
    }

let (enable_f: 'v -> 'v neighbor list -> action list) =
  fun v _nl ->
    if v.path = [] then [] else ["a"]

   
let (step_f : 'v -> 'v neighbor list -> action -> 'v) =
  fun v nl -> 
    function
    | "a" ->  { v with path = [] }
    | _ -> assert false
