(* Time-stamp: <modified the 07/10/2019 (at 16:13) by Erwan Jahier> *)


(* XXX find a better name *)
type 'v layout = ('v Process.t * 'v Register.neighbor list) list
type 'v t = SasArg.t * 'v layout * 'v Env.t

(* [make dynlink_flag argv] *)
val make : bool -> string array -> 'v t

type 'v enable_processes =
  ('v Process.t * 'v Register.neighbor list * Register.action) list list * bool list list
    
val get_enable_processes: 'v layout -> 'v Env.t -> 'v enable_processes
  
val do_step : ('v Process.t * 'v Register.neighbor list * Register.action) list -> 'v Env.t
  -> 'v Env.t

val get_inputs_rif_decl : SasArg.t -> 'v Process.t list -> (string * string) list
val get_outputs_rif_decl: SasArg.t -> 'v Process.t list -> (string * string) list
