(* Time-stamp: <modified the 14/10/2019 (at 22:47) by Erwan Jahier> *)

(* cf Collin-Dolex-94 *)

open Algo
open State
    
let actions = Some ["a"]

let (init_state: int -> State.t ) =
  fun i ->
    {
      path = Array.make delta (-1);
      par  = -10
    }

let (enable_f: t -> t neighbor list -> action list) =
  fun v _nl ->
    if v.path = (Array.make delta (-1)) then [] else ["a"]

   
let (step_f : t -> t neighbor list -> action -> t) =
  fun v nl -> 
    function
    | "a" ->  { v with path = Array.make delta (-1) }
    | _ -> assert false

